from setuptools import setup, find_packages

setup(
    name="dmmona",
    version="1.0.0",
    description="Dynamic Multi-Objective Meta-Optimizer with Neural Architecture Adaptation",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    author="Tritonix711",
    author_email="samantadas42@gmail.com",
    url="https://github.com/GTritonix-Labs/DMMONA",
    license="MIT",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    install_requires=[
        "torch>=1.10.0",
        "psutil>=5.9.0",
        "pyyaml>=6.0",
        "matplotlib>=3.5.0",
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.7',
    include_package_data=True,
    entry_points={
        "console_scripts": [
            "dmmona=main:main",
        ],
    },
)
